Index: STLport-4.0.patch
===================================================================
RCS file: /cvs/external/stlport/STLport-4.0.patch,v
retrieving revision 1.7
retrieving revision 1.7.56.1
diff -u -r1.7 -r1.7.56.1
--- STLport-4.0.patch	22 Oct 2004 09:30:16 -0000	1.7
+++ STLport-4.0.patch	13 Dec 2005 15:05:26 -0000	1.7.56.1
@@ -1,5 +1,5 @@
 *** misc/STLport-4.0/src/gcc.mak	Fri Jul 14 03:53:26 2000
---- misc/build/STLport-4.0/src/gcc.mak	Mon Mar 31 17:36:10 2003
+--- misc/build/STLport-4.0/src/gcc.mak	Mon Dec  5 16:34:41 2005
 ***************
 *** 5,12 ****
   #
@@ -37,7 +37,7 @@
   OBJEXT=o
   DYNEXT=so
 *** misc/STLport-4.0/src/sunpro.mak	Fri Jul 14 03:53:26 2000
---- misc/build/STLport-4.0/src/sunpro.mak	Mon Mar 31 17:37:59 2003
+--- misc/build/STLport-4.0/src/sunpro.mak	Mon Dec  5 16:34:41 2005
 ***************
 *** 30,35 ****
 --- 30,40 ----
@@ -69,8 +69,96 @@
   include common_percent_rules.mak
   include common_rules.mak
   
+*** misc/STLport-4.0/src/sunpro11.mak	Mon Dec  5 17:22:32 2005
+--- misc/build/STLport-4.0/src/sunpro11.mak	Mon Dec  5 17:25:03 2005
+***************
+*** 1 ****
+! dummy
+--- 1,82 ----
+!  #
+!  # Basename for libraries
+!  #
+!  LIB_BASENAME = libstlport_sunpro
+!  
+!  STL_INCL= -I. -I${PWD}/../stlport/SC5 -I${SYSBASE}/usr/include
+!  # STL_INCL= -I. -I${PWD}/../stlport
+!  
+!  CC = CC
+!  CXX = CC
+!  
+!  #
+!  # guts for common stuff
+!  #
+!  #
+!  LINK=$(CC) -mt -xar -o
+!  DYN_LINK=$(CC) -mt -G -o
+!  
+!  OBJEXT=o
+!  DYNEXT=so
+!  STEXT=a
+!  RM=rm -rf
+!  PATH_SEP=/
+!  MKDIR=mkdir -p
+!  COMP=SUN
+!  
+!  # LINK_OUT=-xar -o  
+!  # DYNLINK_OUT=-o 
+!  
+!  all: all_static all_dynamic
+!  
+!  include common_macros.mak
+! 
+! # override because STLDEBUG breaks...
+! ALL_STATIC_LIBS=$(OUTDIR)$(PATH_SEP)$(RELEASE_LIB) $(OUTDIR)$(PATH_SEP)$(DEBUG_LIB)
+! 
+! ALL_DYNAMIC_LIBS=$(OUTDIR)$(PATH_SEP)$(RELEASE_DYNLIB) $(OUTDIR)$(PATH_SEP)$(DEBUG_DYNLIB)
+!  
+!  CXXFLAGS_COMMON = -mt -library=%none,Crun ${STL_INCL} -D__SGI_STL_OWN_IOSTREAMS
+!  
+!  SHCXXFLAGS = -KPIC
+!  
+!  #
+!  # Try those flags to see if they help to get maximum efficiency :
+!  # -Qoption iropt -R,-Ml30,-Ms30,-Mi1000000,-Mm1000000,-Mr1000000,-Ma1000000,-Mc1000000,-Mt1000000
+!  # Note, these flags don't work anymore with the SunStudio 11 compiler. Let the compiler
+!  # decide how to optimize
+!  RELEASE_FLAGS = -O3
+!  
+!  
+!  # install: $(TARGETS)
+!  #	cp -p $(TARGETS) ${INSTALLDIR}
+!  
+!  CXXFLAGS_RELEASE_static = $(CXXFLAGS_COMMON) ${RELEASE_FLAGS}
+!  CXXFLAGS_RELEASE_dynamic = $(CXXFLAGS_COMMON) ${RELEASE_FLAGS} $(SHCXXFLAGS)
+!  
+!  CXXFLAGS_DEBUG_static = $(CXXFLAGS_COMMON) -g
+!  CXXFLAGS_DEBUG_dynamic = $(CXXFLAGS_COMMON) -g $(SHCXXFLAGS)
+!  
+!  CXXFLAGS_STLDEBUG_static = $(CXXFLAGS_COMMON) -g -D__STL_DEBUG
+!  CXXFLAGS_STLDEBUG_dynamic = $(CXXFLAGS_COMMON) -g -D__STL_DEBUG $(SHCXXFLAGS)
+!  
+!  LDFLAGS_RELEASE_static = ${CXXFLAGS_RELEASE_static}
+!  LDFLAGS_RELEASE_dynamic = ${CXXFLAGS_RELEASE_dynamic}
+!  
+!  LDFLAGS_DEBUG_static = ${CXXFLAGS_DEBUG_static}
+!  LDFLAGS_DEBUG_dynamic = ${CXXFLAGS_DEBUG_dynamic}
+!  
+!  LDFLAGS_STLDEBUG_static = ${CXXFLAGS_STLDEBUG_static}
+!  LDFLAGS_STLDEBUG_dynamic = ${CXXFLAGS_STLDEBUG_dynamic}
+!  
+!  LDLIBS_RELEASE_dynamic = -lm
+!  LDLIBS_DEBUG_dynamic = -lm
+!  LDLIBS_STLDEBUG_dynamic = -lm
+! 
+!  LDFLAGS_RELEASE_dynamic += -norunpath
+!  LDFLAGS_DEBUG_dynamic += -norunpath
+!  LDFLAGS_STLDEBUG_dynamic += -norunpath
+! 
+!  include common_percent_rules.mak
+!  include common_rules.mak
+!  
 *** misc/STLport-4.0/src/sunpro6.mak	Fri Jul 14 03:53:26 2000
---- misc/build/STLport-4.0/src/sunpro6.mak	Mon Mar 31 17:38:38 2003
+--- misc/build/STLport-4.0/src/sunpro6.mak	Mon Dec  5 16:34:41 2005
 ***************
 *** 3,10 ****
    #
@@ -121,8 +209,8 @@
    include common_percent_rules.mak
    include common_rules.mak
    
-*** misc/STLport-4.0/src/sunpro8.mak	Mon Dec  1 13:47:39 2003
---- misc/build/STLport-4.0/src/sunpro8.mak	Mon Dec  1 13:46:33 2003
+*** misc/STLport-4.0/src/sunpro8.mak	Mon Dec  5 17:22:32 2005
+--- misc/build/STLport-4.0/src/sunpro8.mak	Mon Dec  5 16:34:41 2005
 ***************
 *** 1 ****
 ! dummy
@@ -208,7 +296,7 @@
 !  include common_rules.mak
 !  
 *** misc/STLport-4.0/src/vc6.mak	Fri Jul 14 03:53:26 2000
---- misc/build/STLport-4.0/src/vc6.mak	Mon Mar 31 17:36:09 2003
+--- misc/build/STLport-4.0/src/vc6.mak	Mon Dec  5 16:34:41 2005
 ***************
 *** 8,14 ****
   LIB_BASENAME=stlport_vc6
@@ -227,7 +315,7 @@
   all: platform all_static all_dynamic 
   
 *** misc/STLport-4.0/stlport/config/stl_sunpro.h	Fri Jul 14 03:53:26 2000
---- misc/build/STLport-4.0/stlport/config/stl_sunpro.h	Mon Mar 31 17:36:10 2003
+--- misc/build/STLport-4.0/stlport/config/stl_sunpro.h	Mon Dec  5 16:34:41 2005
 ***************
 *** 73,84 ****
   #  define __STL_NO_BAD_ALLOC 1
Index: makefile.mk
===================================================================
RCS file: /cvs/external/stlport/makefile.mk,v
retrieving revision 1.32
retrieving revision 1.32.16.1
diff -u -r1.32 -r1.32.16.1
--- makefile.mk	8 Sep 2005 07:48:02 -0000	1.32
+++ makefile.mk	13 Dec 2005 15:05:27 -0000	1.32.16.1
@@ -89,7 +89,7 @@
 TAR_EXCLUDES=*/SC5/*
 .ENDIF          # "$(USE_SHELL)"=="4nt"
 
-ADDITIONAL_FILES=src$/gcc-3.0.mak src$/gcc-3.0-macosx.mak src$/gcc-3.0-freebsd.mak src$/sunpro8.mak
+ADDITIONAL_FILES=src$/gcc-3.0.mak src$/gcc-3.0-macosx.mak src$/gcc-3.0-freebsd.mak src$/sunpro8.mak src$/sunpro11.mak
 
 
 CONFIGURE_ACTION=none
@@ -133,11 +133,13 @@
 
 .IF "$(COM)"=="C52"
 BUILD_ACTION=make
-.IF "$(CCNUMVER)">="00050005"
+.IF "$(CCNUMVER)">="00050008"
+BUILD_FLAGS=-f sunpro11.mak
+.ELIF "$(CCNUMVER)">="00050005"
 BUILD_FLAGS=-f sunpro8.mak
 .ELSE
 BUILD_FLAGS=-f sunpro6.mak
-.ENDIF # "$(CCNUMVER)">="00050005"
+.ENDIF # "$(CCNUMVER)">="00050008"
 
 OUT2INC= \
     stlport$/SC5$/*.SUNWCCh