Index: inc/dispatch.hxx
===================================================================
RCS file: /cvs/framework/sfx2/inc/dispatch.hxx,v
retrieving revision 1.11
retrieving revision 1.11.48.1
diff -u -r1.11 -r1.11.48.1
--- inc/dispatch.hxx	7 Sep 2005 16:49:46 -0000	1.11
+++ inc/dispatch.hxx	26 Oct 2005 18:07:19 -0000	1.11.48.1
@@ -142,7 +142,7 @@
 	DECL_DLLPRIVATE_LINK( PostMsgHandler, SfxRequest * );
 
 	SAL_DLLPRIVATE int Call_Impl( SfxShell& rShell, const SfxSlot &rSlot, SfxRequest &rReq, BOOL bRecord );
-	SAL_DLLPRIVATE ULONG _Update_Impl( BOOL,BOOL,BOOL,SfxMenuBarManager*,SfxWorkWindow*);
+	SAL_DLLPRIVATE sal_uInt32 _Update_Impl( BOOL,BOOL,BOOL,SfxMenuBarManager*,SfxWorkWindow*);
 	SAL_DLLPRIVATE void CollectTools_Impl(SfxWorkWindow*);
 
 protected:
@@ -245,8 +245,8 @@
 
 	BOOL                IsAllowed( USHORT nSlot ) const;
     ::com::sun::star::frame::XDispatch*          GetDispatchInterface( const String& );
-	void				SetDisableFlags( ULONG nFlags );
-	ULONG				GetDisableFlags() const;
+	void				SetDisableFlags( sal_uInt32 nFlags );
+	sal_uInt32				GetDisableFlags() const;
 
 #if _SOLAR__PRIVATE
 	SAL_DLLPRIVATE BOOL HasSlot_Impl( USHORT );
Index: inc/docinf.hxx
===================================================================
RCS file: /cvs/framework/sfx2/inc/docinf.hxx,v
retrieving revision 1.7
retrieving revision 1.7.48.1
diff -u -r1.7 -r1.7.48.1
--- inc/docinf.hxx	7 Sep 2005 16:50:53 -0000	1.7
+++ inc/docinf.hxx	26 Oct 2005 18:07:19 -0000	1.7.48.1
@@ -144,14 +144,14 @@
 	String   aDefaultTarget;
 	String   aReloadURL;
 	BOOL     bReloadEnabled;
-	ULONG    nReloadSecs;
+	sal_uInt32    nReloadSecs;
 
 	DateTime aTemplateDate;	// Stamp der Dokumentvorlage
 
 	USHORT	nUserDataSize;
 	USHORT	nDocNo;			// schon mal rein: Dokumentnummer, was immer das sein mag
 	void*	pUserData;		// Benutzer Daten, z.B. Doc-Statistik
-	long	lTime;
+	sal_Int32	lTime;
 
 	SfxDocumentInfo_Impl* pImp;
 
@@ -183,8 +183,8 @@
 	void EnableReload( BOOL bEnable );
 	const String& GetDefaultTarget() const;
 	void SetDefaultTarget( const String& rString );
-	ULONG GetReloadDelay() const;
-	void SetReloadDelay( ULONG nDelay );
+	sal_uInt32 GetReloadDelay() const;
+	void SetReloadDelay( sal_uInt32 nDelay );
 
 	BOOL IsReadOnly() const             { return bReadOnly; }
 	BOOL IsPasswd() const               { return bPasswd; }
@@ -235,7 +235,7 @@
 	BOOL   IsSaveVersionOnClose() const { return bSaveVersionOnClose; }
 
 	void   SetTime(long l) { lTime = l; }
-    long   GetTime() const { return IsUseUserData() ? lTime : 0L; }
+    sal_Int32   GetTime() const { return IsUseUserData() ? lTime : 0; }
 
 	void*  GetUserData() const { return pUserData; }
 	USHORT GetUserDataSize() const { return nUserDataSize; }
Index: inc/fcontnr.hxx
===================================================================
RCS file: /cvs/framework/sfx2/inc/fcontnr.hxx,v
retrieving revision 1.10
retrieving revision 1.10.48.1
diff -u -r1.10 -r1.10.48.1
--- inc/fcontnr.hxx	7 Sep 2005 16:53:34 -0000	1.10
+++ inc/fcontnr.hxx	26 Oct 2005 18:07:19 -0000	1.10.48.1
@@ -132,7 +132,7 @@
 
     const SfxFilter* 	GetAnyFilter( SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
 	const SfxFilter* 	GetFilter4Mime( const String& rMime, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
-	const SfxFilter* 	GetFilter4ClipBoardId( ULONG nId, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
+	const SfxFilter* 	GetFilter4ClipBoardId( sal_uInt32 nId, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
 	const SfxFilter* 	GetFilter4EA( const String& rEA, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
 	const SfxFilter* 	GetFilter4Extension( const String& rExt, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
 	const SfxFilter* 	GetFilter4FilterName( const String& rName, SfxFilterFlags nMust = 0, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
@@ -164,12 +164,12 @@
 	DECL_DLLPRIVATE_STATIC_LINK( SfxFilterMatcher, MaybeFileHdl_Impl, String* );
 #endif
 
-	ULONG               GuessFilterIgnoringContent( SfxMedium& rMedium, const SfxFilter **, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
-	ULONG               GuessFilter( SfxMedium& rMedium, const SfxFilter **, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
-	ULONG               DetectFilter( SfxMedium& rMedium, const SfxFilter **, BOOL bPlugIn, BOOL bAPI = FALSE ) const;
+	sal_uInt32               GuessFilterIgnoringContent( SfxMedium& rMedium, const SfxFilter **, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
+	sal_uInt32               GuessFilter( SfxMedium& rMedium, const SfxFilter **, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
+	sal_uInt32               DetectFilter( SfxMedium& rMedium, const SfxFilter **, BOOL bPlugIn, BOOL bAPI = FALSE ) const;
 
 	const SfxFilter*	GetFilter4Mime( const String& rMime, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED) const;
-	const SfxFilter*    GetFilter4ClipBoardId( ULONG nId, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
+	const SfxFilter*    GetFilter4ClipBoardId( sal_uInt32 nId, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
 	const SfxFilter*    GetFilter4EA( const String& rEA, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
 	const SfxFilter*    GetFilter4Extension( const String& rExt, SfxFilterFlags nMust = SFX_FILTER_IMPORT, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
 	const SfxFilter*    GetFilter4FilterName( const String& rName, SfxFilterFlags nMust = 0, SfxFilterFlags nDont = SFX_FILTER_NOTINSTALLED ) const;
Index: inc/viewfrm.hxx
===================================================================
RCS file: /cvs/framework/sfx2/inc/viewfrm.hxx,v
retrieving revision 1.19
retrieving revision 1.19.46.1
diff -u -r1.19 -r1.19.46.1
--- inc/viewfrm.hxx	7 Sep 2005 17:24:03 -0000	1.19
+++ inc/viewfrm.hxx	26 Oct 2005 18:07:20 -0000	1.19.46.1
@@ -175,8 +175,8 @@
 							TYPEINFO();
 							SFX_DECL_INTERFACE(SFX_INTERFACE_SFXVIEWFRM);
 
-							SfxViewFrame( SfxBindings&, SfxFrame*, SfxObjectShell *pDoc=0, ULONG nType = 0 );
-							SfxViewFrame(SfxObjectShell&, SfxBindings&, SfxFrame*p=0, ULONG nType = 0);
+							SfxViewFrame( SfxBindings&, SfxFrame*, SfxObjectShell *pDoc=0, sal_uInt32 nType = 0 );
+							SfxViewFrame(SfxObjectShell&, SfxBindings&, SfxFrame*p=0, sal_uInt32 nType = 0);
 							SfxViewFrame(
 								const SfxViewFrame &, SfxBindings &, SfxFrame *pFrame);
 
Index: source/appl/sfxpicklist.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/appl/sfxpicklist.cxx,v
retrieving revision 1.24
retrieving revision 1.24.46.1
diff -u -r1.24 -r1.24.46.1
--- source/appl/sfxpicklist.cxx	7 Sep 2005 17:48:14 -0000	1.24
+++ source/appl/sfxpicklist.cxx	26 Oct 2005 18:07:20 -0000	1.24.46.1
@@ -218,7 +218,7 @@
 		return 0;
 }
 
-SfxPickList*	SfxPickList::GetOrCreate( const ULONG nMenuSize )
+SfxPickList*	SfxPickList::GetOrCreate( const sal_uInt32 nMenuSize )
 {
 	if ( !pUniqueInstance )
 	{
Index: source/bastyp/fltfnc.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/bastyp/fltfnc.cxx,v
retrieving revision 1.69
retrieving revision 1.69.44.1
diff -u -r1.69 -r1.69.44.1
--- source/bastyp/fltfnc.cxx	7 Sep 2005 17:52:57 -0000	1.69
+++ source/bastyp/fltfnc.cxx	26 Oct 2005 18:07:21 -0000	1.69.44.1
@@ -282,7 +282,7 @@
 }
 
 IMPL_FORWARD_LOOP( GetFilter4Mime, const String&, rMime );
-IMPL_FORWARD_LOOP( GetFilter4ClipBoardId, ULONG, nId );
+IMPL_FORWARD_LOOP( GetFilter4ClipBoardId, sal_uInt32, nId );
 IMPL_FORWARD_LOOP( GetFilter4EA, const String&, rEA );
 IMPL_FORWARD_LOOP( GetFilter4Extension, const String&, rExt );
 IMPL_FORWARD_LOOP( GetFilter4FilterName, const String&, rName );
Index: source/doc/docinf.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/doc/docinf.cxx,v
retrieving revision 1.30
retrieving revision 1.30.48.1
diff -u -r1.30 -r1.30.48.1
--- source/doc/docinf.cxx	7 Sep 2005 18:39:29 -0000	1.30
+++ source/doc/docinf.cxx	26 Oct 2005 18:07:21 -0000	1.30.48.1
@@ -901,7 +901,7 @@
 #pragma optimize ( "", off )
 #endif
 
-ULONG SfxDocumentInfo::LoadPropertySet( SotStorage* pStorage )
+sal_uInt32 SfxDocumentInfo::LoadPropertySet( SotStorage* pStorage )
 {
     // TODO: is used for MS format, should stay here for a while
 
@@ -1228,12 +1228,12 @@
 	aReloadURL = rString;
 }
 
-ULONG SfxDocumentInfo::GetReloadDelay() const
+sal_uInt32 SfxDocumentInfo::GetReloadDelay() const
 {
 	return nReloadSecs;
 }
 
-void SfxDocumentInfo::SetReloadDelay( ULONG nSec )
+void SfxDocumentInfo::SetReloadDelay( sal_uInt32 nSec )
 {
 	nReloadSecs = nSec;
 }
Index: source/doc/objuno.cxx
===================================================================
RCS file: /cvs/framework/sfx2/source/doc/objuno.cxx,v
retrieving revision 1.19
retrieving revision 1.19.48.1
diff -u -r1.19 -r1.19.48.1
--- source/doc/objuno.cxx	7 Sep 2005 18:47:43 -0000	1.19
+++ source/doc/objuno.cxx	26 Oct 2005 18:07:21 -0000	1.19.48.1
@@ -887,7 +887,7 @@
 	}
 	else if ( _pInfo && aValue.getValueType() == ::getCppuType((const sal_Int32*)0) )
 	{
-		long nIntVal ;
+		sal_Int32 nIntVal ;
 		aValue >>= nIntVal ;
 		switch ( nHandle )
 		{
Index: source/inc/sfxpicklist.hxx
===================================================================
RCS file: /cvs/framework/sfx2/source/inc/sfxpicklist.hxx,v
retrieving revision 1.4
retrieving revision 1.4.48.1
diff -u -r1.4 -r1.4.48.1
--- source/inc/sfxpicklist.hxx	7 Sep 2005 19:11:02 -0000	1.4
+++ source/inc/sfxpicklist.hxx	26 Oct 2005 18:07:22 -0000	1.4.48.1
@@ -80,7 +80,7 @@
 	sal_uInt32						m_nAllowedMenuSize;
 	::com::sun::star::uno::Reference< ::com::sun::star::util::XStringWidth > m_xStringLength;
 
-							SfxPickList( ULONG nMenuSize );
+							SfxPickList( sal_uInt32 nMenuSize );
 							~SfxPickList();
 
 	static osl::Mutex*		GetOrCreateMutex();
@@ -91,7 +91,7 @@
 	void					RemovePickListEntries();
 
 	public:
-		static SfxPickList*	GetOrCreate( const ULONG nMenuSize );
+		static SfxPickList*	GetOrCreate( const sal_uInt32 nMenuSize );
 		static SfxPickList*	Get();
 		static void			Delete();
 