Index: inc/cacheoptions.hxx
===================================================================
RCS file: /cvs/util/svtools/inc/cacheoptions.hxx,v
retrieving revision 1.4
retrieving revision 1.4.66.1
diff -u -r1.4 -r1.4.66.1
--- inc/cacheoptions.hxx	8 Sep 2005 09:11:42 -0000	1.4
+++ inc/cacheoptions.hxx	26 Oct 2005 18:07:15 -0000	1.4.66.1
@@ -137,14 +137,14 @@
 
 		sal_Int32	GetWriterOLE_Objects() const;
 		sal_Int32	GetDrawingEngineOLE_Objects() const;
-		sal_Int32	GetGraphicManagerTotalCacheSize() const; 
-		sal_Int32	GetGraphicManagerObjectCacheSize() const;
+		sal_Size	GetGraphicManagerTotalCacheSize() const; 
+		sal_Size	GetGraphicManagerObjectCacheSize() const;
 		sal_Int32	GetGraphicManagerObjectReleaseTime() const;
 
 		void		SetWriterOLE_Objects( sal_Int32 nObjects );
 		void		SetDrawingEngineOLE_Objects( sal_Int32 nObjects );
-		void		SetGraphicManagerTotalCacheSize( sal_Int32 nTotalCacheSize );
-		void		SetGraphicManagerObjectCacheSize( sal_Int32 nObjectCacheSize );
+		void		SetGraphicManagerTotalCacheSize( sal_Size nTotalCacheSize );
+		void		SetGraphicManagerObjectCacheSize( sal_Size nObjectCacheSize );
 		void        SetGraphicManagerObjectReleaseTime( sal_Int32 nReleaseTimeSeconds );
 
 	//-------------------------------------------------------------------------------------------------------------
Index: source/config/cacheoptions.cxx
===================================================================
RCS file: /cvs/util/svtools/source/config/cacheoptions.cxx,v
retrieving revision 1.6
retrieving revision 1.6.66.1
diff -u -r1.6 -r1.6.66.1
--- source/config/cacheoptions.cxx	8 Sep 2005 14:34:59 -0000	1.6
+++ source/config/cacheoptions.cxx	26 Oct 2005 18:07:16 -0000	1.6.66.1
@@ -115,14 +115,14 @@
 
 	sal_Int32		GetWriterOLE_Objects() const;
 	sal_Int32		GetDrawingEngineOLE_Objects() const;
-	sal_Int32		GetGraphicManagerTotalCacheSize() const; 
-	sal_Int32		GetGraphicManagerObjectCacheSize() const;
+	sal_Size		GetGraphicManagerTotalCacheSize() const; 
+	sal_Size		GetGraphicManagerObjectCacheSize() const;
 	sal_Int32		GetGraphicManagerObjectReleaseTime() const;
 					
 	void			SetWriterOLE_Objects( sal_Int32 nObjects );
 	void			SetDrawingEngineOLE_Objects( sal_Int32 nObjects );
-	void			SetGraphicManagerTotalCacheSize( sal_Int32 nTotalCacheSize );
-	void			SetGraphicManagerObjectCacheSize( sal_Int32 nObjectCacheSize );
+	void			SetGraphicManagerTotalCacheSize( sal_Size nTotalCacheSize );
+	void			SetGraphicManagerObjectCacheSize( sal_Size nObjectCacheSize );
 	void            SetGraphicManagerObjectReleaseTime( sal_Int32 nReleaseTimeSeconds );
 
 //-------------------------------------------------------------------------------------------------------------
@@ -141,8 +141,8 @@
 
 		sal_Int32	mnWriterOLE;
 		sal_Int32	mnDrawingOLE;
-		sal_Int32	mnGrfMgrTotalSize;
-		sal_Int32	mnGrfMgrObjectSize;
+		sal_Size	mnGrfMgrTotalSize;
+		sal_Size	mnGrfMgrObjectSize;
         sal_Int32   mnGrfMgrObjectRelease;
 };
 
@@ -280,7 +280,7 @@
 //*****************************************************************************************************************
 //	public method
 //*****************************************************************************************************************
-sal_Int32 SvtCacheOptions_Impl::GetGraphicManagerTotalCacheSize() const
+sal_Size SvtCacheOptions_Impl::GetGraphicManagerTotalCacheSize() const
 {
 	return mnGrfMgrTotalSize;
 }
@@ -288,7 +288,7 @@
 //*****************************************************************************************************************
 //	public method
 //*****************************************************************************************************************
-sal_Int32 SvtCacheOptions_Impl::GetGraphicManagerObjectCacheSize() const
+sal_Size SvtCacheOptions_Impl::GetGraphicManagerObjectCacheSize() const
 {
 	return mnGrfMgrObjectSize;
 }
@@ -322,7 +322,7 @@
 //*****************************************************************************************************************
 //	public method
 //*****************************************************************************************************************
-void SvtCacheOptions_Impl::SetGraphicManagerTotalCacheSize( sal_Int32 nGrfMgrTotalSize )
+void SvtCacheOptions_Impl::SetGraphicManagerTotalCacheSize( sal_Size nGrfMgrTotalSize )
 {
 	mnGrfMgrTotalSize = nGrfMgrTotalSize;
 	SetModified();
@@ -331,7 +331,7 @@
 //*****************************************************************************************************************
 //	public method
 //*****************************************************************************************************************
-void SvtCacheOptions_Impl::SetGraphicManagerObjectCacheSize( sal_Int32 nGrfMgrObjectSize )
+void SvtCacheOptions_Impl::SetGraphicManagerObjectCacheSize( sal_Size nGrfMgrObjectSize )
 {
 	mnGrfMgrObjectSize = nGrfMgrObjectSize;
 	SetModified();
@@ -429,7 +429,7 @@
 //*****************************************************************************************************************
 //	public method
 //*****************************************************************************************************************
-sal_Int32 SvtCacheOptions::GetGraphicManagerTotalCacheSize() const
+sal_Size SvtCacheOptions::GetGraphicManagerTotalCacheSize() const
 {
     MutexGuard aGuard( GetOwnStaticMutex() );
 	return m_pDataContainer->GetGraphicManagerTotalCacheSize();
@@ -438,7 +438,7 @@
 //*****************************************************************************************************************
 //	public method
 //*****************************************************************************************************************
-sal_Int32 SvtCacheOptions::GetGraphicManagerObjectCacheSize() const
+sal_Size SvtCacheOptions::GetGraphicManagerObjectCacheSize() const
 {
     MutexGuard aGuard( GetOwnStaticMutex() );
 	return m_pDataContainer->GetGraphicManagerObjectCacheSize();
@@ -474,7 +474,7 @@
 //*****************************************************************************************************************
 //	public method
 //*****************************************************************************************************************
-void SvtCacheOptions::SetGraphicManagerTotalCacheSize( sal_Int32 nGrfMgrTotalSize )
+void SvtCacheOptions::SetGraphicManagerTotalCacheSize( sal_Size nGrfMgrTotalSize )
 {
     MutexGuard aGuard( GetOwnStaticMutex() );
 	m_pDataContainer->SetGraphicManagerTotalCacheSize( nGrfMgrTotalSize );
@@ -483,7 +483,7 @@
 //*****************************************************************************************************************
 //	public method
 //*****************************************************************************************************************
-void SvtCacheOptions::SetGraphicManagerObjectCacheSize( sal_Int32 nGrfMgrObjectSize )
+void SvtCacheOptions::SetGraphicManagerObjectCacheSize( sal_Size nGrfMgrObjectSize )
 {
     MutexGuard aGuard( GetOwnStaticMutex() );
 	m_pDataContainer->SetGraphicManagerObjectCacheSize( nGrfMgrObjectSize );
Index: source/control/taskmisc.cxx
===================================================================
RCS file: /cvs/util/svtools/source/control/taskmisc.cxx,v
retrieving revision 1.3
retrieving revision 1.3.66.1
diff -u -r1.3 -r1.3.66.1
--- source/control/taskmisc.cxx	8 Sep 2005 15:07:54 -0000	1.3
+++ source/control/taskmisc.cxx	26 Oct 2005 18:07:17 -0000	1.3.66.1
@@ -281,10 +281,10 @@
 	long		nRectHeight = nHeight;
 	long		nOff;
 	long		nCascadeWins;
-	long		nLeftBorder;
-	long		nTopBorder;
-	long		nRightBorder;
-	long		nBottomBorder;
+	sal_Int32	nLeftBorder;
+	sal_Int32	nTopBorder;
+	sal_Int32	nRightBorder;
+	sal_Int32	nBottomBorder;
 	long		nStartOverWidth;
 	long		nStartOverHeight;
 	long		nOverWidth = 0;
Index: source/edit/svmedit.cxx
===================================================================
RCS file: /cvs/util/svtools/source/edit/svmedit.cxx,v
retrieving revision 1.29
retrieving revision 1.29.58.1
diff -u -r1.29 -r1.29.58.1
--- source/edit/svmedit.cxx	8 Sep 2005 15:26:52 -0000	1.29
+++ source/edit/svmedit.cxx	26 Oct 2005 18:07:17 -0000	1.29.58.1
@@ -1212,7 +1212,7 @@
 {
 	Size aSz = pImpSvMEdit->CalcMinimumSize();
 
-	long nLeft, nTop, nRight, nBottom;
+	sal_Int32 nLeft, nTop, nRight, nBottom;
 	((Window*)this)->GetBorder( nLeft, nTop, nRight, nBottom );
 	aSz.Width() += nLeft+nRight;
 	aSz.Height() += nTop+nBottom;
@@ -1223,14 +1223,14 @@
 Size MultiLineEdit::CalcAdjustedSize( const Size& rPrefSize ) const
 {
 	Size aSz = rPrefSize;
-	long nLeft, nTop, nRight, nBottom;
+	sal_Int32 nLeft, nTop, nRight, nBottom;
 	((Window*)this)->GetBorder( nLeft, nTop, nRight, nBottom );
 
 	// In der Hoehe auf ganze Zeilen justieren
 
-	long nHeight = aSz.Height() - nTop - nBottom;
-	long nLineHeight = pImpSvMEdit->CalcSize( 1, 1 ).Height();
-	long nLines = nHeight / nLineHeight;
+	sal_Int32 nHeight = aSz.Height() - nTop - nBottom;
+	sal_Int32 nLineHeight = pImpSvMEdit->CalcSize( 1, 1 ).Height();
+	sal_Int32 nLines = nHeight / nLineHeight;
 	if ( nLines < 1 )
 		nLines = 1;
 
@@ -1244,7 +1244,7 @@
 {
 	Size aSz = pImpSvMEdit->CalcSize( nColumns, nLines );
 
-	long nLeft, nTop, nRight, nBottom;
+	sal_Int32 nLeft, nTop, nRight, nBottom;
 	((Window*)this)->GetBorder( nLeft, nTop, nRight, nBottom );
 	aSz.Width() += nLeft+nRight;
 	aSz.Height() += nTop+nBottom;
@@ -1363,13 +1363,13 @@
 
 	XubString aText = GetText();
 	Size aTextSz( pDev->GetTextWidth( aText ), pDev->GetTextHeight() );
-	ULONG nLines = (ULONG) (aSize.Height() / aTextSz.Height());
+	sal_uInt32 nLines = sal_uInt32(aSize.Height() / aTextSz.Height());
 	if ( !nLines )
 		nLines = 1;
 	aTextSz.Height() = nLines*aTextSz.Height();
-	long nOnePixel = GetDrawPixel( pDev, 1 );
-	long nOffX = 3*nOnePixel;
-	long nOffY = 2*nOnePixel;
+	sal_Int32 nOnePixel = GetDrawPixel( pDev, 1 );
+	sal_Int32 nOffX = 3*nOnePixel;
+	sal_Int32 nOffY = 2*nOnePixel;
 
 	// Clipping?
 	if ( ( nOffY < 0  ) || ( (nOffY+aTextSz.Height()) > aSize.Height() ) || ( (nOffX+aTextSz.Width()) > aSize.Width() ) )