Index: source/inc/runtime.hxx
===================================================================
RCS file: /cvs/script/basic/source/inc/runtime.hxx,v
retrieving revision 1.25
retrieving revision 1.25.14.1
diff -u -r1.25 -r1.25.14.1
--- source/inc/runtime.hxx	29 Sep 2005 18:41:20 -0000	1.25
+++ source/inc/runtime.hxx	26 Oct 2005 17:50:19 -0000	1.25.14.1
@@ -216,7 +216,7 @@
 	SvNumberFormatter* pNumberFormatter;
     LanguageType    meFormatterLangType;
     DateFormat      meFormatterDateFormat;
-	ULONG 			nStdDateIdx, nStdTimeIdx, nStdDateTimeIdx;
+	sal_uInt32 		nStdDateIdx, nStdTimeIdx, nStdDateTimeIdx;
 
 	SbError      	nErr;     		// aktueller Fehlercode
 	String		    aErrorMsg;		// letzte Error-Message fuer $ARG
@@ -266,13 +266,13 @@
 	SbiRTLData* GetRTLData() const { return (SbiRTLData*)&aRTLData; }
 
 	SvNumberFormatter* GetNumberFormatter();
-	ULONG GetStdDateIdx() const { return nStdDateIdx; }
-	ULONG GetStdTimeIdx() const { return nStdTimeIdx; }
-	ULONG GetStdDateTimeIdx() const { return nStdDateTimeIdx; }
+	sal_uInt32 GetStdDateIdx() const { return nStdDateIdx; }
+	sal_uInt32 GetStdTimeIdx() const { return nStdTimeIdx; }
+	sal_uInt32 GetStdDateTimeIdx() const { return nStdDateTimeIdx; }
 
 	// #39629# NumberFormatter auch statisch anbieten
 	static void PrepareNumberFormatter( SvNumberFormatter*& rpNumberFormatter,
-		ULONG &rnStdDateIdx, ULONG &rnStdTimeIdx, ULONG &rnStdDateTimeIdx,
+		sal_uInt32 &rnStdDateIdx, sal_uInt32 &rnStdTimeIdx, sal_uInt32 &rnStdDateTimeIdx,
         LanguageType* peFormatterLangType=NULL, DateFormat* peFormatterDateFormat=NULL );
 };
 
Index: source/runtime/methods.cxx
===================================================================
RCS file: /cvs/script/basic/source/runtime/methods.cxx,v
retrieving revision 1.62
retrieving revision 1.62.20.1
diff -u -r1.62 -r1.62.20.1
--- source/runtime/methods.cxx	7 Sep 2005 21:39:52 -0000	1.62
+++ source/runtime/methods.cxx	26 Oct 2005 17:50:20 -0000	1.62.20.1
@@ -1727,11 +1727,11 @@
 			pFormatter = pINST->GetNumberFormatter();
 		else
 		{
-			ULONG n;	// Dummy
+			sal_uInt32 n;	// Dummy
 			SbiInstance::PrepareNumberFormatter( pFormatter, n, n, n );
 		}
 
-		ULONG nIndex;
+		sal_uInt32 nIndex;
 		double fResult;
 		String aStr( rPar.Get(1)->GetString() );
 		BOOL bSuccess = pFormatter->IsNumberFormat( aStr, nIndex, fResult );
@@ -1770,11 +1770,11 @@
 			pFormatter = pINST->GetNumberFormatter();
 		else
 		{
-			ULONG n;	// Dummy
+			sal_uInt32 n;	// Dummy
 			SbiInstance::PrepareNumberFormatter( pFormatter, n, n, n );
 		}
 
-		ULONG nIndex;
+		sal_uInt32 nIndex;
 		double fResult;
 		BOOL bSuccess = pFormatter->IsNumberFormat( rPar.Get(1)->GetString(),
 												   nIndex, fResult );
@@ -1951,7 +1951,7 @@
 
 			// #39629 pINST pruefen, kann aus URL-Zeile gerufen werden
 			SvNumberFormatter* pFormatter = NULL;
-			ULONG nIndex;
+			sal_uInt32 nIndex;
 			if( pINST )
 			{
 				pFormatter = pINST->GetNumberFormatter();
@@ -1959,7 +1959,7 @@
 			}
 			else
 			{
-				ULONG n;	// Dummy
+				sal_uInt32 n;	// Dummy
 				SbiInstance::PrepareNumberFormatter( pFormatter, n, nIndex, n );
 			}
 
@@ -2002,7 +2002,7 @@
 
 			// #39629 pINST pruefen, kann aus URL-Zeile gerufen werden
 			SvNumberFormatter* pFormatter = NULL;
-			ULONG nIndex;
+			sal_uInt32 nIndex;
 			if( pINST )
 			{
 				pFormatter = pINST->GetNumberFormatter();
@@ -2010,7 +2010,7 @@
 			}
 			else
 			{
-				ULONG n;	// Dummy
+				sal_uInt32 n;	// Dummy
 				SbiInstance::PrepareNumberFormatter( pFormatter, nIndex, n, n );
 			}
 
@@ -2896,7 +2896,7 @@
 
 		// #39629 pINST pruefen, kann aus URL-Zeile gerufen werden
 		SvNumberFormatter* pFormatter = NULL;
-		ULONG nIndex;
+		sal_uInt32 nIndex;
 		if( pINST )
 		{
 			pFormatter = pINST->GetNumberFormatter();
@@ -2904,7 +2904,7 @@
 		}
 		else
 		{
-			ULONG n;	// Dummy
+			sal_uInt32 n;	// Dummy
 			SbiInstance::PrepareNumberFormatter( pFormatter, n, n, nIndex );
 		}
 
Index: source/runtime/methods1.cxx
===================================================================
RCS file: /cvs/script/basic/source/runtime/methods1.cxx,v
retrieving revision 1.23
retrieving revision 1.23.20.1
diff -u -r1.23 -r1.23.20.1
--- source/runtime/methods1.cxx	7 Sep 2005 21:40:12 -0000	1.23
+++ source/runtime/methods1.cxx	26 Oct 2005 17:50:20 -0000	1.23.20.1
@@ -2218,7 +2218,7 @@
 				pFormatter = pINST->GetNumberFormatter();
 			else
 			{
-				ULONG n;	// Dummy
+				sal_uInt32 n;	// Dummy
 				SbiInstance::PrepareNumberFormatter( pFormatter, n, n, n );
 			}
 
Index: source/runtime/runtime.cxx
===================================================================
RCS file: /cvs/script/basic/source/runtime/runtime.cxx,v
retrieving revision 1.24
retrieving revision 1.24.14.1
diff -u -r1.24 -r1.24.14.1
--- source/runtime/runtime.cxx	29 Sep 2005 18:42:01 -0000	1.24
+++ source/runtime/runtime.cxx	26 Oct 2005 17:50:21 -0000	1.24.14.1
@@ -343,7 +343,7 @@
 
 // #39629 NumberFormatter auch statisch anbieten
 void SbiInstance::PrepareNumberFormatter( SvNumberFormatter*& rpNumberFormatter,
-	ULONG &rnStdDateIdx, ULONG &rnStdTimeIdx, ULONG &rnStdDateTimeIdx,
+	sal_uInt32 &rnStdDateIdx, sal_uInt32 &rnStdTimeIdx, sal_uInt32 &rnStdDateTimeIdx,
     LanguageType* peFormatterLangType, DateFormat* peFormatterDateFormat )
 {
 	com::sun::star::uno::Reference< com::sun::star::lang::XMultiServiceFactory > 
Index: source/sbx/sbxdate.cxx
===================================================================
RCS file: /cvs/script/basic/source/sbx/sbxdate.cxx,v
retrieving revision 1.3
retrieving revision 1.3.20.1
diff -u -r1.3 -r1.3.20.1
--- source/sbx/sbxdate.cxx	7 Sep 2005 21:48:16 -0000	1.3
+++ source/sbx/sbxdate.cxx	26 Oct 2005 17:50:22 -0000	1.3.20.1
@@ -120,7 +120,7 @@
 					xFactory = comphelper::getProcessServiceFactory();
 				pFormatter = new SvNumberFormatter( xFactory, eLangType );
 
-				ULONG nIndex;
+				sal_uInt32 nIndex;
 				xub_StrLen nCheckPos = 0;
 				short nType = 127;
 
@@ -280,7 +280,7 @@
 				xFactory = comphelper::getProcessServiceFactory();
 			pFormatter = new SvNumberFormatter( xFactory, eLangType );
 
-			ULONG nIndex;
+			sal_uInt32 nIndex;
 			xub_StrLen nCheckPos = 0;
 			short nType;
 