Index: inc/chaxis.hxx
===================================================================
RCS file: /cvs/graphics/sch/inc/chaxis.hxx,v
retrieving revision 1.12
retrieving revision 1.12.16.2
diff -u -r1.12 -r1.12.16.2
--- inc/chaxis.hxx	8 Sep 2005 23:30:04 -0000	1.12
+++ inc/chaxis.hxx	1 Nov 2005 14:00:42 -0000	1.12.16.2
@@ -37,7 +37,7 @@
 
 class ChartModel;
 class SvNumberFormatter;
-class SvULONGTable;
+class SvNumberFormatterIndexTable;
 class SdrObject;
 class SdrObjList;
 class XPolygon;
@@ -382,7 +382,7 @@
 	//nDir ist Flag, kann sein CHAXIS_MARK_INNER und CHAXIS_MARK_OUTER (oder beides)
 	SdrObject *CreateMarks(long nPosition,long nLen,long nWhichTicks);
 
-	BOOL TranslateMergedNumFormat( SvULONGTable* pTransTable );
+	BOOL TranslateMergedNumFormat( SvNumberFormatterIndexTable* pTransTable );
     long GetUniqueId() const    { return mnUId; }
 
     /** Converts a CHOBJID into an axis UId.
Index: inc/chtmodel.hxx
===================================================================
RCS file: /cvs/graphics/sch/inc/chtmodel.hxx,v
retrieving revision 1.54
retrieving revision 1.54.16.2
diff -u -r1.54 -r1.54.16.2
--- inc/chtmodel.hxx	8 Sep 2005 23:30:49 -0000	1.54
+++ inc/chtmodel.hxx	1 Nov 2005 14:00:43 -0000	1.54.16.2
@@ -123,7 +123,7 @@
 class SchObjectId;
 class ChartAxis;
 class SvNumberFormatter;
-class SvULONGTable;
+class SvNumberFormatterIndexTable;
 class SchItemPool;
 class SchMemChart;
 class Vector3D;
@@ -974,7 +974,7 @@
 
 	void                SetNumberFormatter( SvNumberFormatter* );
 	void                DataRangeChanged( long _nOldRowCnt = 0, long _nOldColCnt = 0 );
-	void                TranslateAllNumFormatIds( SvULONGTable* );
+	void                TranslateAllNumFormatIds( SvNumberFormatterIndexTable* );
 
 	/** set new doc shell if there was no one before
         returns true if new shell was set */
Index: inc/memchrt.hxx
===================================================================
RCS file: /cvs/graphics/sch/inc/memchrt.hxx,v
retrieving revision 1.15
retrieving revision 1.15.18.1
diff -u -r1.15 -r1.15.18.1
--- inc/memchrt.hxx	8 Sep 2005 23:34:36 -0000	1.15
+++ inc/memchrt.hxx	26 Oct 2005 17:50:27 -0000	1.15.18.1
@@ -284,28 +284,28 @@
 	// BM: Fix for #68864#
 	// Use these four methods with care! The arrays MUST have the correct size!
 	// ********************
-	void SetRowTranslation( const long* pTransTable )
+	void SetRowTranslation( const sal_Int32* pTransTable )
 	{
 		if( !pRowTable ) return;
-		for( long i=0; i<nRowCnt; i++ )
+		for( sal_Int32 i=0; i<nRowCnt; i++ )
 			pRowTable[ i ] = pTransTable[ i ];
 	}
-	void SetColTranslation( const long* pTransTable )
+	void SetColTranslation( const sal_Int32* pTransTable )
 	{
 		if( !pColTable ) return;
-		for( long i=0; i<nColCnt; i++ )
+		for( sal_Int32 i=0; i<nColCnt; i++ )
 			pColTable[ i ] = pTransTable[ i ];
 	}
-	void SetRowNumFmtTable( const long* pNumFmtTable )
+	void SetRowNumFmtTable( const sal_Int32* pNumFmtTable )
 	{
 		if( !pRowNumFmtId ) return;
-		for( long i=0; i<nRowCnt; i++ )
+		for( sal_Int32 i=0; i<nRowCnt; i++ )
 			pRowNumFmtId[ i ] = pNumFmtTable[ i ];
 	}
-	void SetColNumFmtTable( const long* pNumFmtTable )
+	void SetColNumFmtTable( const sal_Int32* pNumFmtTable )
 	{
 		if( !pColNumFmtId ) return;
-		for( long i=0; i<nColCnt; i++ )
+		for( sal_Int32 i=0; i<nColCnt; i++ )
 			pColNumFmtId[ i ] = pNumFmtTable[ i ];
 	}
 	// this is only valid if the corresponding translation table was set correctly!
Index: source/core/chartdoc.cxx
===================================================================
RCS file: /cvs/graphics/sch/source/core/chartdoc.cxx,v
retrieving revision 1.28
retrieving revision 1.28.16.2
diff -u -r1.28 -r1.28.16.2
--- source/core/chartdoc.cxx	8 Sep 2005 23:43:36 -0000	1.28
+++ source/core/chartdoc.cxx	1 Nov 2005 14:00:44 -0000	1.28.16.2
@@ -263,7 +263,7 @@
 	// merge numberformatters
 	if( pNewModel->pOwnNumFormatter && pNumFormatter )
 	{
-		SvULONGTable* pTransTable =
+		SvNumberFormatterIndexTable* pTransTable =
 			pNewModel->pOwnNumFormatter->MergeFormatter( *pNumFormatter );
 
 		if( pTransTable && pTransTable->Count() )
Index: source/core/chaxis.cxx
===================================================================
RCS file: /cvs/graphics/sch/source/core/chaxis.cxx,v
retrieving revision 1.41
retrieving revision 1.41.10.2
diff -u -r1.41 -r1.41.10.2
--- source/core/chaxis.cxx	28 Sep 2005 11:21:21 -0000	1.41
+++ source/core/chaxis.cxx	1 Nov 2005 14:00:44 -0000	1.41.10.2
@@ -2761,7 +2761,7 @@
 	return  ((mfMin <= fValue) && (fValue <= mfMax));	
 }
 
-BOOL ChartAxis::TranslateMergedNumFormat( SvULONGTable* pTransTable )
+BOOL ChartAxis::TranslateMergedNumFormat( SvNumberFormatterIndexTable* pTransTable )
 {
 	ULONG nFmt, nMrgFmt;
 	BOOL bRet =FALSE;
Index: source/core/chtmode5.cxx
===================================================================
RCS file: /cvs/graphics/sch/source/core/chtmode5.cxx,v
retrieving revision 1.9
retrieving revision 1.9.18.2
diff -u -r1.9 -r1.9.18.2
--- source/core/chtmode5.cxx	8 Sep 2005 23:46:23 -0000	1.9
+++ source/core/chtmode5.cxx	1 Nov 2005 14:00:45 -0000	1.9.18.2
@@ -357,7 +357,7 @@
 				// merge old one to new one and set new one as member
 				if( pNewFormatter && pNumFormatter )
 				{
-					SvULONGTable* pTransTable =
+					SvNumberFormatterIndexTable* pTransTable =
 						pNewFormatter->MergeFormatter( *pNumFormatter );
 
 					SetNumberFormatter( pNewFormatter );
Index: source/core/chtmode9.cxx
===================================================================
RCS file: /cvs/graphics/sch/source/core/chtmode9.cxx,v
retrieving revision 1.44
retrieving revision 1.44.16.2
diff -u -r1.44 -r1.44.16.2
--- source/core/chtmode9.cxx	8 Sep 2005 23:47:19 -0000	1.44
+++ source/core/chtmode9.cxx	1 Nov 2005 14:00:46 -0000	1.44.16.2
@@ -1884,7 +1884,7 @@
 	}
 }
 
-void ChartModel::TranslateAllNumFormatIds( SvULONGTable* pTransTable )
+void ChartModel::TranslateAllNumFormatIds( SvNumberFormatterIndexTable* pTransTable )
 {
 	if( pChartXAxis->TranslateMergedNumFormat( pTransTable ) &&
         nXLastNumFmt >= 0 )
Index: source/ui/dlg/databrws.cxx
===================================================================
RCS file: /cvs/graphics/sch/source/ui/dlg/databrws.cxx,v
retrieving revision 1.14
retrieving revision 1.14.18.1
diff -u -r1.14 -r1.14.18.1
--- source/ui/dlg/databrws.cxx	9 Sep 2005 00:08:32 -0000	1.14
+++ source/ui/dlg/databrws.cxx	26 Oct 2005 17:50:29 -0000	1.14.18.1
@@ -710,7 +710,7 @@
         if( aText.Len() > 0 )
         {
 			SvNumberFormatter* pFormatter = m_pModel->GetNumFormatter();
-			ULONG nFormat =
+			sal_uInt32 nFormat =
 				pFormatter->GetStandardFormat( m_apMemChart->GetDataType(),
                                                LANGUAGE_SYSTEM );
 			if( ! pFormatter->IsNumberFormat( aText, nFormat, fData ))
Index: source/ui/dlg/tpscaley.cxx
===================================================================
RCS file: /cvs/graphics/sch/source/ui/dlg/tpscaley.cxx,v
retrieving revision 1.7
retrieving revision 1.7.18.1
diff -u -r1.7 -r1.7.18.1
--- source/ui/dlg/tpscaley.cxx	9 Sep 2005 00:17:35 -0000	1.7
+++ source/ui/dlg/tpscaley.cxx	26 Oct 2005 17:50:30 -0000	1.7.18.1
@@ -317,7 +317,7 @@
 
 int SchScaleYAxisTabPage::DeactivatePage(SfxItemSet* pItemSet)
 {
-	ULONG nIndex = pNumFormatter->GetStandardIndex(LANGUAGE_SYSTEM);
+	sal_uInt32 nIndex = pNumFormatter->GetStandardIndex(LANGUAGE_SYSTEM);
 	Edit* pEdit = NULL;
 	USHORT nErrStrId = 0;
 	double fDummy;
@@ -445,7 +445,7 @@
 
 void SchScaleYAxisTabPage::CheckLogs ()
 {
-	ULONG  nIndex    = pNumFormatter->GetStandardIndex(LANGUAGE_SYSTEM);
+	sal_uInt32 nIndex    = pNumFormatter->GetStandardIndex(LANGUAGE_SYSTEM);
 	Edit   *pEdit    = NULL;
 	USHORT nErrStrId = 0;
 	String aNumStr;
@@ -580,7 +580,7 @@
 
 	if (aCbxLogarithm.IsChecked ())
 	{
-		ULONG nIndex = pNumFormatter->GetStandardIndex(LANGUAGE_SYSTEM);
+		sal_uInt32 nIndex = pNumFormatter->GetStandardIndex(LANGUAGE_SYSTEM);
 
 		aFmtFldOrigin.Enable (FALSE);
 		aCbxAutoOrigin.Enable (FALSE);
@@ -634,7 +634,7 @@
 	}
 	else
 	{
-		ULONG nIndex = pNumFormatter->GetStandardIndex(LANGUAGE_SYSTEM);
+		sal_uInt32 nIndex = pNumFormatter->GetStandardIndex(LANGUAGE_SYSTEM);
 		double fDummy;
 
 		fStepHelp = aFmtFldStepHelp.GetValue();