Index: inc/galmisc.hxx
===================================================================
RCS file: /cvs/graphics/svx/inc/galmisc.hxx,v
retrieving revision 1.9
retrieving revision 1.9.166.1
diff -u -r1.9 -r1.9.166.1
--- inc/galmisc.hxx	8 Sep 2005 17:49:41 -0000	1.9
+++ inc/galmisc.hxx	6 Dec 2005 12:26:35 -0000	1.9.166.1
@@ -101,7 +101,7 @@
 BOOL			CreateDir(  const INetURLObject& rURL );
 BOOL			CopyFile(  const INetURLObject& rSrcURL, const INetURLObject& rDstURL );
 BOOL			KillFile( const INetURLObject& rURL );
-BitmapEx		GalleryResGetBitmapEx( ULONG nId );
+BitmapEx		GalleryResGetBitmapEx( sal_uInt32 nId );
 
 
 // ---------------
Index: source/dialog/optfltr.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/dialog/optfltr.cxx,v
retrieving revision 1.5
retrieving revision 1.5.40.1
diff -u -r1.5 -r1.5.40.1
--- source/dialog/optfltr.cxx	11 Nov 2005 13:54:53 -0000	1.5
+++ source/dialog/optfltr.cxx	3 Dec 2005 09:37:52 -0000	1.5.40.1
@@ -251,13 +251,13 @@
 
     // int the same sequence as the enums of MSFltrPg2_CheckBoxEntries
     if ( aModuleOpt.IsModuleInstalled( SvtModuleOptions::E_SMATH ) )
-        InsertEntry( sChgToFromMath, static_cast< sal_Int32 >( Math ) );
+        InsertEntry( sChgToFromMath, static_cast< sal_IntPtr >( Math ) );
     if ( aModuleOpt.IsModuleInstalled( SvtModuleOptions::E_SWRITER ) )
-        InsertEntry( sChgToFromWriter, static_cast< sal_Int32 >( Writer ) );
+        InsertEntry( sChgToFromWriter, static_cast< sal_IntPtr >( Writer ) );
     if ( aModuleOpt.IsModuleInstalled( SvtModuleOptions::E_SCALC ) )
-        InsertEntry( sChgToFromCalc, static_cast< sal_Int32 >( Calc ) );
+        InsertEntry( sChgToFromCalc, static_cast< sal_IntPtr >( Calc ) );
     if ( aModuleOpt.IsModuleInstalled( SvtModuleOptions::E_SIMPRESS ) )
-        InsertEntry( sChgToFromImpress, static_cast< sal_Int32 >( Impress ) );
+        InsertEntry( sChgToFromImpress, static_cast< sal_IntPtr >( Impress ) );
 
 	static struct ChkCBoxEntries{
 		MSFltrPg2_CheckBoxEntries eType;
@@ -279,7 +279,7 @@
 			InvalidCBEntry != pArr->eType; ++pArr, bFirst = !bFirst )
 	{
 		USHORT nCol = bFirst ? 1 : 2;
-        SvLBoxEntry* pEntry = GetEntry4Type( static_cast< sal_Int32 >( pArr->eType ) );
+        SvLBoxEntry* pEntry = GetEntry4Type( static_cast< sal_IntPtr >( pArr->eType ) );
         if( pEntry )
 		{
 			SvLBoxButton* pItem = (SvLBoxButton*)(pEntry->GetItem( nCol ));
@@ -296,7 +296,7 @@
 	aCheckLB.SetUpdateMode( TRUE );
 }
 
-void OfaMSFilterTabPage2::InsertEntry( const String& _rTxt, sal_Int32 _nType )
+void OfaMSFilterTabPage2::InsertEntry( const String& _rTxt, sal_IntPtr _nType )
 {
 	SvLBoxEntry* pEntry = new SvLBoxEntry;
 
@@ -313,12 +313,12 @@
 	aCheckLB.GetModel()->Insert( pEntry );
 }
 
-SvLBoxEntry* OfaMSFilterTabPage2::GetEntry4Type( sal_Int32 _nType ) const
+SvLBoxEntry* OfaMSFilterTabPage2::GetEntry4Type( sal_IntPtr _nType ) const
 {
     SvLBoxEntry* pEntry = aCheckLB.First();
     while ( pEntry )
     {
-        if ( _nType == (sal_Int32)pEntry->GetUserData() )
+        if ( _nType == sal_IntPtr( pEntry->GetUserData() ) )
             return pEntry;
         pEntry = aCheckLB.Next( pEntry );
     }
Index: source/dialog/optfltr.hxx
===================================================================
RCS file: /cvs/graphics/svx/source/dialog/optfltr.hxx,v
retrieving revision 1.4
retrieving revision 1.4.40.1
diff -u -r1.4 -r1.4.40.1
--- source/dialog/optfltr.hxx	11 Nov 2005 13:55:07 -0000	1.4
+++ source/dialog/optfltr.hxx	3 Dec 2005 09:37:27 -0000	1.4.40.1
@@ -107,8 +107,8 @@
 	OfaMSFilterTabPage2( Window* pParent, const SfxItemSet& rSet );
 	virtual ~OfaMSFilterTabPage2();
 
-    void            InsertEntry( const String& _rTxt, sal_Int32 _nType );
-    SvLBoxEntry*    GetEntry4Type( sal_Int32 _nType ) const;
+    void            InsertEntry( const String& _rTxt, sal_IntPtr _nType );
+    SvLBoxEntry*    GetEntry4Type( sal_IntPtr _nType ) const;
 
 public:
 
Index: source/dialog/tpline.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/dialog/tpline.cxx,v
retrieving revision 1.29
retrieving revision 1.29.162.1
diff -u -r1.29 -r1.29.162.1
--- source/dialog/tpline.cxx	8 Sep 2005 22:18:14 -0000	1.29
+++ source/dialog/tpline.cxx	6 Dec 2005 12:33:48 -0000	1.29.162.1
@@ -91,7 +91,7 @@
 		ByteString _aStr( RTL_CONSTASCII_STRINGPARAM( "SvxTrace" ) );\
 		_aStr.Append( ByteString::CreateFromInt32( b ) );			 \
 		_aStr.Append( "->" );										 \
-		_aStr.Append( ByteString::CreateFromInt32( (sal_Int32) this ) );	 \
+		_aStr.Append( ByteString::CreateFromInt64( (sal_IntPtr) this ) );	 \
 		_aStr.Append( '@' );										 \
 		_aStr.Append( a );											 \
 		DBG_TRACE( _aStr.GetBuffer() );						 \
Index: source/form/fmtextcontrolshell.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/form/fmtextcontrolshell.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- source/form/fmtextcontrolshell.cxx	24 Oct 2005 08:26:55 -0000	1.5
+++ source/form/fmtextcontrolshell.cxx	6 Dec 2005 12:42:01 -0000	1.5.72.1
@@ -1147,7 +1147,7 @@
     {
 #if OSL_DEBUG_LEVEL > 0
         ::rtl::OString sTrace( "FmTextControlShell::formActivated: 0x" );
-        sTrace += ::rtl::OString::valueOf( (sal_Int32)_rxController.get(), 16 );
+        sTrace += ::rtl::OString::valueOf( (sal_IntPtr)_rxController.get(), 16 );
         DBG_TRACE( sTrace );
 #endif
 
@@ -1175,7 +1175,7 @@
     {
 #if OSL_DEBUG_LEVEL > 0
         ::rtl::OString sTrace( "FmTextControlShell::formDeactivated: 0x" );
-        sTrace += ::rtl::OString::valueOf( (sal_Int32)_rxController.get(), 16 );
+        sTrace += ::rtl::OString::valueOf( (sal_IntPtr)_rxController.get(), 16 );
         DBG_TRACE( sTrace );
 #endif
 
@@ -1410,7 +1410,7 @@
 
 #if OSL_DEBUG_LEVEL > 0
         ::rtl::OString sTrace( "FmTextControlShell::focusGained: 0x" );
-        sTrace += ::rtl::OString::valueOf( (sal_Int32)xControl.get(), 16 );
+        sTrace += ::rtl::OString::valueOf( (sal_IntPtr)xControl.get(), 16 );
         DBG_TRACE( sTrace );
 #endif
 
@@ -1426,7 +1426,7 @@
 
 #if OSL_DEBUG_LEVEL > 0
         ::rtl::OString sTrace( "FmTextControlShell::focusLost: 0x" );
-        sTrace += ::rtl::OString::valueOf( (sal_Int32)xControl.get(), 16 );
+        sTrace += ::rtl::OString::valueOf( (sal_IntPtr)xControl.get(), 16 );
         DBG_TRACE( sTrace );
 #endif
 
Index: source/form/fmvwimp.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/form/fmvwimp.cxx,v
retrieving revision 1.46
retrieving revision 1.46.138.1
diff -u -r1.46 -r1.46.138.1
--- source/form/fmvwimp.cxx	23 Sep 2005 11:59:46 -0000	1.46
+++ source/form/fmvwimp.cxx	6 Dec 2005 12:40:56 -0000	1.46.138.1
@@ -1653,8 +1653,8 @@
 			const sal_uInt16 nObjID = OBJ_FM_BUTTON;
 			::Size controlSize(4000, 500);
 			FmFormObj *pControl = static_cast<FmFormObj*>(SdrObjFactory::MakeNewObject( FmFormInventor, nObjID, NULL, NULL ));
-			controlSize.Width() = sal_Int32(Fraction(controlSize.Width(), 1) * eTargetMode.GetScaleX());
-			controlSize.Height() = sal_Int32(Fraction(controlSize.Height(), 1) * eTargetMode.GetScaleY());
+			controlSize.Width() = Fraction(controlSize.Width(), 1) * eTargetMode.GetScaleX();
+			controlSize.Height() = Fraction(controlSize.Height(), 1) * eTargetMode.GetScaleY();
 			::Point controlPos(_pOutDev->LogicToLogic(Point(controlSize.Width(),0),eSourceMode,eTargetMode));
 			::Rectangle controlRect(controlPos,_pOutDev->LogicToLogic(controlSize, eSourceMode, eTargetMode));
 			pControl->SetLogicRect(controlRect);
Index: source/gallery2/galmisc.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/gallery2/galmisc.cxx,v
retrieving revision 1.34
retrieving revision 1.34.164.1
diff -u -r1.34 -r1.34.164.1
--- source/gallery2/galmisc.cxx	8 Sep 2005 23:07:38 -0000	1.34
+++ source/gallery2/galmisc.cxx	6 Dec 2005 12:28:27 -0000	1.34.164.1
@@ -690,7 +690,7 @@
     }
 }
 
-BitmapEx GalleryResGetBitmapEx( ULONG nId )
+BitmapEx GalleryResGetBitmapEx( sal_uInt32 nId )
 {
 	BitmapEx aBmpEx( GAL_RESID( nId ) );
 	