diff -ur ooo_SRC680_m144_src.orig/store/inc/store/types.h ooo_SRC680_m144_src/store/inc/store/types.h
--- ooo_SRC680_m144_src.orig/store/inc/store/types.h	2005-12-07 20:17:46.000000000 +0100
+++ ooo_SRC680_m144_src/store/inc/store/types.h	2005-12-07 20:18:04.000000000 +0100
@@ -71,9 +71,9 @@
 /** Attributes (predefined).
     @see store_attrib()
  */
-#define STORE_ATTRIB_ISLINK  0x10000000UL
-#define STORE_ATTRIB_ISDIR   0x20000000UL
-#define STORE_ATTRIB_ISFILE  0x40000000UL
+#define STORE_ATTRIB_ISLINK  ((sal_uInt32)0x10000000)
+#define STORE_ATTRIB_ISDIR   ((sal_uInt32)0x20000000)
+#define STORE_ATTRIB_ISFILE  ((sal_uInt32)0x40000000)
 
 
 /** Access Mode enumeration.
diff -ur ooo_SRC680_m144_src.orig/store/source/storbase.cxx ooo_SRC680_m144_src/store/source/storbase.cxx
--- ooo_SRC680_m144_src.orig/store/source/storbase.cxx	2005-12-07 20:17:46.000000000 +0100
+++ ooo_SRC680_m144_src/store/source/storbase.cxx	2005-12-07 20:18:04.000000000 +0100
@@ -191,12 +191,12 @@
  * crc32.
  */
 sal_uInt32 OStorePageGuard::crc32 (
-	sal_uInt32 nCRC32, const void *pData, sal_uInt32 nSize)
+	sal_uInt32 nCRC32, const void *pData, sal_Size nSize)
 {
 	if (pData)
 	{
 		register const sal_uInt8 *p = (const sal_uInt8*)pData;
-		register sal_uInt32       n;
+		register sal_Size         n;
 
 		nCRC32 = ~nCRC32;
 		for (n = nSize; n > 0; n--)
@@ -249,7 +249,7 @@
  * OStoreSuperBlock.
  *
  *======================================================================*/
-#define STORE_MAGIC_SUPERBLOCK 0x484D5343UL
+#define STORE_MAGIC_SUPERBLOCK sal_uInt32(0x484D5343)
 
 struct OStoreSuperBlock
 {
@@ -270,7 +270,8 @@
 	 */
 	static sal_uInt16 size (void)
 	{
-		return (sizeof(G) + sizeof(D) + 2 * (sizeof(L) + sizeof(sal_uInt32)));
+		return sal_uInt16(sizeof(G) + sizeof(D) +
+						  2 * (sizeof(L) + sizeof(sal_uInt32)));
 	}
 
 	/** Construction.
@@ -430,7 +431,7 @@
 	 */
 	static sal_uInt16 size (void)
 	{
-		return sizeof(sal_uInt32);
+		return sal_uInt16(sizeof(sal_uInt32));
 	}
 
 	/** Construction.
diff -ur ooo_SRC680_m144_src.orig/store/source/storbase.hxx ooo_SRC680_m144_src/store/source/storbase.hxx
--- ooo_SRC680_m144_src.orig/store/source/storbase.hxx	2005-12-07 20:17:46.000000000 +0100
+++ ooo_SRC680_m144_src/store/source/storbase.hxx	2005-12-07 20:18:04.000000000 +0100
@@ -96,7 +96,7 @@
 /*
  * __store_memcpy.
  */
-inline void __store_memcpy (void * dst, const void * src, sal_uInt32 n)
+inline void __store_memcpy (void * dst, const void * src, sal_Size n)
 {
 	__STORE_CSTD::memcpy (dst, src, n);
 }
@@ -104,7 +104,7 @@
 /*
  * __store_memmove.
  */
-inline void __store_memmove (void * dst, const void * src, sal_uInt32 n)
+inline void __store_memmove (void * dst, const void * src, sal_Size n)
 {
 	__STORE_CSTD::memmove (dst, src, n);
 }
@@ -112,7 +112,7 @@
 /*
  * __store_memset.
  */
-inline void __store_memset (void * dst, int val, sal_uInt32 n)
+inline void __store_memset (void * dst, int val, sal_Size n)
 {
 	__STORE_CSTD::memset (dst, val, n);
 }
@@ -179,7 +179,7 @@
 	}
 
 	static sal_uInt32 crc32 (
-		sal_uInt32 nCRC32, const void *pData, sal_uInt32 nSize);
+		sal_uInt32 nCRC32, const void *pData, sal_Size nSize);
 };
 	
 /*========================================================================
@@ -397,8 +397,8 @@
 	*/
 	static sal_uInt16 size (void)
 	{
-		return (sizeof(G) + sizeof(K) + sizeof(sal_uInt32) +
-				sizeof(sal_Char[STORE_MAXIMUM_NAMESIZE]));
+		return sal_uInt16(sizeof(G) + sizeof(K) + sizeof(sal_uInt32) +
+						  sizeof(sal_Char[STORE_MAXIMUM_NAMESIZE]));
 	}
 
 	/** initialize.
@@ -510,7 +510,7 @@
 	 */
 	static sal_uInt16 size (void)
 	{
-		return (sizeof(G) + sizeof(D) + 2 * sizeof(L));
+		return sal_uInt16(sizeof(G) + sizeof(D) + 2 * sizeof(L));
 	}
 
 	/** location.
@@ -532,7 +532,7 @@
 		return rtl_allocateMemory (n);
 	}
 
-	static void* operator new (size_t n, sal_uInt16 nPageSize)
+	static void* operator new (size_t, sal_uInt16 nPageSize)
 	{
 		return rtl_allocateMemory (nPageSize);
 	}
diff -ur ooo_SRC680_m144_src.orig/store/source/stordata.hxx ooo_SRC680_m144_src/store/source/stordata.hxx
--- ooo_SRC680_m144_src.orig/store/source/stordata.hxx	2005-12-07 20:17:46.000000000 +0100
+++ ooo_SRC680_m144_src/store/source/stordata.hxx	2005-12-07 20:18:04.000000000 +0100
@@ -67,7 +67,7 @@
  * OStoreDataPageData.
  *
  *======================================================================*/
-#define STORE_MAGIC_DATAPAGE 0x94190310UL
+#define STORE_MAGIC_DATAPAGE sal_uInt32(0x94190310)
 
 struct OStoreDataPageData : public store::OStorePageData
 {
@@ -84,7 +84,7 @@
 	*/
 	static sal_uInt16 size (void)
 	{
-		return 0;
+		return sal_uInt16(0);
 	}
 
 	/** capacity.
@@ -160,7 +160,7 @@
  * OStoreIndirectionPageData.
  *
  *======================================================================*/
-#define STORE_MAGIC_INDIRECTPAGE 0x89191107UL
+#define STORE_MAGIC_INDIRECTPAGE sal_uInt32(0x89191107)
 
 struct OStoreIndirectionPageData : public store::OStorePageData
 {
@@ -179,7 +179,7 @@
 	*/
 	static sal_uInt16 size (void)
 	{
-		return (sizeof(G));
+		return sal_uInt16(sizeof(G));
 	}
 
 	/** capacity.
@@ -197,11 +197,11 @@
 	*/
 	static sal_uInt16 capacityCount (const D& rDescr)
 	{
-		return (capacity(rDescr) / sizeof(sal_uInt32));
+		return sal_uInt16(capacity(rDescr) / sizeof(sal_uInt32));
 	}
 	sal_uInt16 capacityCount (void) const
 	{
-		return (capacity() / sizeof(sal_uInt32));
+		return sal_uInt16(capacity() / sizeof(sal_uInt32));
 	}
 
 	/** Construction.
@@ -428,7 +428,7 @@
 	*/
 	static sal_uInt16 size (void)
 	{
-		return (sizeof(G) + sizeof(LinkTable) + sizeof(sal_uInt32));
+		return sal_uInt16(sizeof(G) + sizeof(LinkTable) + sizeof(sal_uInt32));
 	}
 
 	/** initialize.
@@ -575,7 +575,7 @@
  * OStoreDirectoryPageData.
  *
  *======================================================================*/
-#define STORE_MAGIC_DIRECTORYPAGE 0x62190120UL
+#define STORE_MAGIC_DIRECTORYPAGE sal_uInt32(0x62190120)
 
 struct OStoreDirectoryPageData : public store::OStorePageData
 {
diff -ur ooo_SRC680_m144_src.orig/store/source/storlckb.cxx ooo_SRC680_m144_src/store/source/storlckb.cxx
--- ooo_SRC680_m144_src.orig/store/source/storlckb.cxx	2005-12-07 20:17:46.000000000 +0100
+++ ooo_SRC680_m144_src/store/source/storlckb.cxx	2005-12-07 20:18:04.000000000 +0100
@@ -93,10 +93,10 @@
 /*
  * __store_convertTextToUnicode.
  */
-inline sal_Int32 __store_convertTextToUnicode (
+inline sal_Size __store_convertTextToUnicode (
 	rtl_TextToUnicodeConverter  hConverter,
-	const sal_Char *pSrcBuffer, sal_Int32 nSrcLength,
-	sal_Unicode    *pDstBuffer, sal_Int32 nDstLength)
+	const sal_Char *pSrcBuffer, sal_Size nSrcLength,
+	sal_Unicode    *pDstBuffer, sal_Size nDstLength)
 {
 	sal_uInt32 nCvtInfo = 0;
 	sal_Size nCvtBytes = 0;
@@ -325,8 +325,8 @@
 			{
 				// Setup FindData.
 				sal_Char *p = m_pNode->m_aNameBlock.m_pData;
-				sal_Int32 n = rtl_str_getLength (p);
-				sal_Int32 k = rFindData.m_nLength;
+				sal_Size  n = rtl_str_getLength (p);
+				sal_Size  k = rFindData.m_nLength;
 
 				n = __store_convertTextToUnicode (
 					m_hTextCvt, p, n,
diff -ur ooo_SRC680_m144_src.orig/store/source/storpage.cxx ooo_SRC680_m144_src/store/source/storpage.cxx
--- ooo_SRC680_m144_src.orig/store/source/storpage.cxx	2005-12-07 20:17:46.000000000 +0100
+++ ooo_SRC680_m144_src/store/source/storpage.cxx	2005-12-07 20:18:04.000000000 +0100
@@ -968,7 +968,7 @@
 	// Mark 'Source' as symbolic link to 'Destination'.
 	OStoreDirectoryPageObject aPage (*m_pDirect);
 	aPage.attrib (STORE_ATTRIB_ISLINK);
-	aPage.dataLength (sizeof (aDstKey));
+	aPage.dataLength (sal_uInt32(sizeof(aDstKey)));
 
 	// Allocate and save 'Source' directory page.
 	eErrCode = base::allocate (aPage);
diff -ur ooo_SRC680_m144_src.orig/store/source/stortree.cxx ooo_SRC680_m144_src/store/source/stortree.cxx
--- ooo_SRC680_m144_src.orig/store/source/stortree.cxx	2005-12-07 20:17:46.000000000 +0100
+++ ooo_SRC680_m144_src/store/source/stortree.cxx	2005-12-07 20:18:04.000000000 +0100
@@ -104,7 +104,7 @@
 #ifdef OSL_BIGENDIAN
 	m_aGuard.swap();
 
-	sal_uInt16 i, n = capacity(rDescr) / sizeof(T);
+	sal_uInt16 i, n = sal_uInt16(capacity(rDescr) / sizeof(T));
 	for (i = 0; i < n; i++)
 		m_pData[i].swap();
 #endif /* OSL_BIGENDIAN */
@@ -151,7 +151,7 @@
 
 		// insert.
 		m_pData[i] = t;
-		base::m_aDescr.m_nUsed += sizeof(T);
+		base::m_aDescr.m_nUsed += sal_uInt16(sizeof(T));
 	}
 }
 
@@ -169,7 +169,7 @@
 
 		// truncate.
 		m_pData[n - 1] = T();
-		base::m_aDescr.m_nUsed -= sizeof(T);
+		base::m_aDescr.m_nUsed -= sal_uInt16(sizeof(T));
 	}
 }
 
diff -ur ooo_SRC680_m144_src.orig/store/source/stortree.hxx ooo_SRC680_m144_src/store/source/stortree.hxx
--- ooo_SRC680_m144_src.orig/store/source/stortree.hxx	2005-12-07 20:17:46.000000000 +0100
+++ ooo_SRC680_m144_src/store/source/stortree.hxx	2005-12-07 20:18:04.000000000 +0100
@@ -134,7 +134,7 @@
  * OStoreBTreeNodeData.
  *
  *======================================================================*/
-#define STORE_MAGIC_BTREENODE 0x58190322UL
+#define STORE_MAGIC_BTREENODE sal_uInt32(0x58190322)
 
 struct OStoreBTreeNodeData : public store::OStorePageData
 {
@@ -153,7 +153,7 @@
 	*/
 	static sal_uInt16 size (void)
 	{
-		return (sizeof(G));
+		return sal_uInt16(sizeof(G));
 	}
 
 	/** capacity.
@@ -171,7 +171,7 @@
 	*/
 	sal_uInt16 capacityCount (void) const
 	{
-		return (capacity() / sizeof(T));
+		return sal_uInt16(capacity() / sizeof(T));
 	}
 
 	/** usage.
@@ -189,12 +189,12 @@
 	*/
 	sal_uInt16 usageCount (void) const
 	{
-		return (usage() / sizeof(T));
+		return sal_uInt16(usage() / sizeof(T));
 	}
 	void usageCount (sal_uInt16 nCount)
 	{
 		base::m_aDescr.m_nUsed  = base::size() + self::size();
-		base::m_aDescr.m_nUsed += nCount * sizeof(T);
+		base::m_aDescr.m_nUsed += sal_uInt16(nCount * sizeof(T));
 	}
 
 	/** Construction.
diff -ur ooo_SRC680_m144_src.orig/store/workben/t_base.cxx ooo_SRC680_m144_src/store/workben/t_base.cxx
--- ooo_SRC680_m144_src.orig/store/workben/t_base.cxx	2005-12-07 20:17:46.000000000 +0100
+++ ooo_SRC680_m144_src/store/workben/t_base.cxx	2005-12-07 20:18:04.000000000 +0100
@@ -346,13 +346,13 @@
 	return eErrCode;
 }
 
-static sal_Int32 __store_convertTextToUnicode (
+static sal_Size __store_convertTextToUnicode (
 	rtl_TextToUnicodeConverter hConvert,
-	const sal_Char *pszText, sal_Int32 nTextLen,
-	sal_Unicode    *pBuffer, sal_Int32 nBuffer)
+	const sal_Char *pszText, sal_Size nTextLen,
+	sal_Unicode    *pBuffer, sal_Size nBuffer)
 {
 	sal_uInt32 nInfo = 0;
-	sal_uInt32 nSrcLen = 0;
+	sal_Size   nSrcLen = 0;
 
 	sal_Int32 nDstLen = rtl_convertTextToUnicode (
 		hConvert, 0,
@@ -435,6 +435,7 @@
  *======================================================================*/
 int SAL_CALL main (int argc, char **argv)
 {
+	OSL_PRECOND(argc > 1, "t_base: error: insufficient number of arguments.");
 	if (argc < 2)
 		return 0;
 