diff -urN ooo_OOA680_m1_src.orig/config_office/configure ooo_OOA680_m1_src/config_office/configure
--- ooo_OOA680_m1_src.orig/config_office/configure	2005-12-16 10:07:48.000000000 +0100
+++ ooo_OOA680_m1_src/config_office/configure	2005-12-17 14:02:36.000000000 +0100
@@ -4255,14 +4255,14 @@
       _workshop_version=`echo $_workshop_string | $AWK '{ print $1 }'`
       _workshop_major=`echo $_workshop_version | $AWK -F. '{ print $1 }'`
       if test "$_workshop_major" != "5"; then
-         { { echo "$as_me:$LINENO: error: found version \"$_workshop_version\", use version 5.0, 5.2 or 5.5 of the Sun Workshop C compiler" >&5
-echo "$as_me: error: found version \"$_workshop_version\", use version 5.0, 5.2 or 5.5 of the Sun Workshop C compiler" >&2;}
+         { { echo "$as_me:$LINENO: error: found version \"$_workshop_version\", use version 5.0, 5.2, 5.5 or 5.8 of the Sun Workshop C compiler" >&5
+echo "$as_me: error: found version \"$_workshop_version\", use version 5.0, 5.2, 5.5 or 5.8 of the Sun Workshop C compiler" >&2;}
    { (exit 1); exit 1; }; }
       else
-         _workshop_minor=`echo $_workshop_version | $AWK -F. '{ if ($2 == 0) print "true"; else if ($2 == 2) print "true"; else if ($2 == 5) print "true"; else print "false" }'`
+         _workshop_minor=`echo $_workshop_version | $AWK -F. '{ if ($2 == 0) print "true"; else if ($2 == 2) print "true"; else if ($2 == 5) print "true"; else if ($2 == 8) print "true"; else print "false" }'`
          if test "$_workshop_minor" = "false"; then
-            { { echo "$as_me:$LINENO: error: found version \"$_workshop_version\", use version 5.0, 5.2 or 5.5 of the Sun Workshop C compiler" >&5
-echo "$as_me: error: found version \"$_workshop_version\", use version 5.0, 5.2 or 5.5 of the Sun Workshop C compiler" >&2;}
+            { { echo "$as_me:$LINENO: error: found version \"$_workshop_version\", use version 5.0, 5.2, 5.5 or 5.8 of the Sun Workshop C compiler" >&5
+echo "$as_me: error: found version \"$_workshop_version\", use version 5.0, 5.2, 5.5 or 5.8 of the Sun Workshop C compiler" >&2;}
    { (exit 1); exit 1; }; }
          else
                         echo "$as_me:$LINENO: result: checked" >&5
diff -urN ooo_OOA680_m1_src.orig/config_office/configure.in ooo_OOA680_m1_src/config_office/configure.in
--- ooo_OOA680_m1_src.orig/config_office/configure.in	2005-12-16 10:07:48.000000000 +0100
+++ ooo_OOA680_m1_src/config_office/configure.in	2005-12-17 14:01:37.000000000 +0100
@@ -1109,11 +1109,11 @@
       _workshop_version=`echo $_workshop_string | $AWK '{ print $1 }'`
       _workshop_major=`echo $_workshop_version | $AWK -F. '{ print $1 }'` 
       if test "$_workshop_major" != "5"; then
-         AC_MSG_ERROR([found version "$_workshop_version", use version 5.0, 5.2 or 5.5 of the Sun Workshop C compiler])
+         AC_MSG_ERROR([found version "$_workshop_version", use version 5.0, 5.2, 5.5 or 5.8 of the Sun Workshop C compiler])
       else
-         _workshop_minor=`echo $_workshop_version | $AWK -F. '{ if ($2 == 0) print "true"; else if ($2 == 2) print "true"; else if ($2 == 5) print "true"; else print "false" }'` 
+         _workshop_minor=`echo $_workshop_version | $AWK -F. '{ if ($2 == 0) print "true"; else if ($2 == 2) print "true"; else if ($2 == 5) print "true"; else if ($2 == 8) print "true"; else print "false" }'` 
          if test "$_workshop_minor" = "false"; then
-            AC_MSG_ERROR([found version "$_workshop_version", use version 5.0, 5.2 or 5.5 of the Sun Workshop C compiler])
+            AC_MSG_ERROR([found version "$_workshop_version", use version 5.0, 5.2, 5.5 or 5.8 of the Sun Workshop C compiler])
          else
             dnl compiler will do
             AC_MSG_RESULT([checked])