diff -urN ooo_SRC680_m143_src.orig/comphelper/inc/comphelper/basicio.hxx ooo_SRC680_m143_src/comphelper/inc/comphelper/basicio.hxx
--- ooo_SRC680_m143_src.orig/comphelper/inc/comphelper/basicio.hxx	2005-10-02 16:55:45.000000000 +0200
+++ ooo_SRC680_m143_src/comphelper/inc/comphelper/basicio.hxx	2005-12-03 20:15:06.000000000 +0100
@@ -76,10 +76,18 @@
 COMPHELPER_DLLPUBLIC const staruno::Reference<stario::XObjectInputStream>& operator >> (const staruno::Reference<stario::XObjectInputStream>& _rxInStream, sal_uInt32& _rValue);
 COMPHELPER_DLLPUBLIC const staruno::Reference<stario::XObjectOutputStream>& operator << (const staruno::Reference<stario::XObjectOutputStream>& _rxOutStream, sal_uInt32 _nValue);
 
-// sal_Int16
+// sal_Int32
 COMPHELPER_DLLPUBLIC const staruno::Reference<stario::XObjectInputStream>& operator >> (const staruno::Reference<stario::XObjectInputStream>& _rxInStream, sal_Int32& _rValue);
 COMPHELPER_DLLPUBLIC const staruno::Reference<stario::XObjectOutputStream>& operator << (const staruno::Reference<stario::XObjectOutputStream>& _rxOutStream, sal_Int32 _nValue);
 
+// sal_uInt64
+COMPHELPER_DLLPUBLIC const staruno::Reference<stario::XObjectInputStream>& operator >> (const staruno::Reference<stario::XObjectInputStream>& _rxInStream, sal_uInt64& _rValue);
+COMPHELPER_DLLPUBLIC const staruno::Reference<stario::XObjectOutputStream>& operator << (const staruno::Reference<stario::XObjectOutputStream>& _rxOutStream, sal_uInt64 _nValue);
+
+// sal_Int64
+COMPHELPER_DLLPUBLIC const staruno::Reference<stario::XObjectInputStream>& operator >> (const staruno::Reference<stario::XObjectInputStream>& _rxInStream, sal_Int64& _rValue);
+COMPHELPER_DLLPUBLIC const staruno::Reference<stario::XObjectOutputStream>& operator << (const staruno::Reference<stario::XObjectOutputStream>& _rxOutStream, sal_Int64 _nValue);
+
 // FontDescriptor
 COMPHELPER_DLLPUBLIC const staruno::Reference<stario::XObjectInputStream>& operator >> (const staruno::Reference<stario::XObjectInputStream>& InStream, starawt::FontDescriptor& rVal);
 COMPHELPER_DLLPUBLIC const staruno::Reference<stario::XObjectOutputStream>& operator << (const staruno::Reference<stario::XObjectOutputStream>& OutStream, const starawt::FontDescriptor& rVal);
diff -urN ooo_SRC680_m143_src.orig/comphelper/source/streaming/basicio.cxx ooo_SRC680_m143_src/comphelper/source/streaming/basicio.cxx
--- ooo_SRC680_m143_src.orig/comphelper/source/streaming/basicio.cxx	2005-10-02 16:55:47.000000000 +0200
+++ ooo_SRC680_m143_src/comphelper/source/streaming/basicio.cxx	2005-12-03 20:15:06.000000000 +0100
@@ -167,8 +167,40 @@
 {
 	_rValue = _rxInStream->readLong();
 	return _rxInStream;
+
+}
+
+//------------------------------------------------------------------------------
+const staruno::Reference<stario::XObjectOutputStream>& operator << (const staruno::Reference<stario::XObjectOutputStream>& _rxOutStream, sal_uInt64 _nValue)
+{
+	_rxOutStream->writeLong(_nValue);
+	return _rxOutStream;
+}
+
+//------------------------------------------------------------------------------
+const staruno::Reference<stario::XObjectInputStream>& operator >> (const staruno::Reference<stario::XObjectInputStream>& _rxInStream, sal_uInt64& _rValue)
+{
+	_rValue = _rxInStream->readLong();
+	return _rxInStream;
+}
+
+//------------------------------------------------------------------------------
+const staruno::Reference<stario::XObjectOutputStream>& operator << (const staruno::Reference<stario::XObjectOutputStream>& _rxOutStream, sal_Int64 _nValue)
+{
+	_rxOutStream->writeLong(_nValue);
+	return _rxOutStream;
+}
+
+//------------------------------------------------------------------------------
+const staruno::Reference<stario::XObjectInputStream>& operator >> (const staruno::Reference<stario::XObjectInputStream>& _rxInStream, sal_Int64& _rValue)
+{
+	_rValue = _rxInStream->readLong();
+	return _rxInStream;
 }
 
+
+
+
 //------------------------------------------------------------------------------
 const staruno::Reference<stario::XObjectOutputStream>& operator << (const staruno::Reference<stario::XObjectOutputStream>& _rxOutStream, sal_Int32 _nValue)
 {