diff -ur ooo_SRC680_m142_src.orig/xmloff/source/style/impastp4.cxx ooo_SRC680_m142_src/xmloff/source/style/impastp4.cxx
--- ooo_SRC680_m142_src.orig/xmloff/source/style/impastp4.cxx	2005-10-02 16:56:12.000000000 +0200
+++ ooo_SRC680_m142_src/xmloff/source/style/impastp4.cxx	2005-11-23 21:24:24.000000000 +0100
@@ -109,7 +109,7 @@
 		sal_Bool bAsFamily )
 {
 	// store family in a list if not already stored
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl *pFamily = new XMLFamilyData_Impl( nFamily, rStrName, rMapper, rStrPrefix, bAsFamily );
 	if( !maFamilyList.Seek_Entry( pFamily, &nPos ) )
 		maFamilyList.Insert( pFamily );
@@ -126,7 +126,7 @@
 {
 	SvXMLAutoStylePoolNamesP_Impl *pNames = 0;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
 		pNames = maFamilyList.GetObject( nPos )->mpNameList;
@@ -196,7 +196,7 @@
 				sal_Bool bCache)
 {
 	sal_Bool bRet(sal_False);
-	sal_uInt32 nPos;
+	ULONG nPos;
 
 	XMLFamilyData_Impl *pFamily = 0;
 	XMLFamilyData_Impl aTmp( nFamily );
@@ -244,7 +244,7 @@
 OUString SvXMLAutoStylePoolP_Impl::AddToCache( sal_Int32 nFamily,
 							 		    const OUString& rParent )
 {
-	sal_uInt32 nPos;
+	ULONG nPos;
 
 	XMLFamilyData_Impl *pFamily = 0;
 	XMLFamilyData_Impl aTmp( nFamily );
@@ -276,7 +276,7 @@
 {
 	OUString sName;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
@@ -303,7 +303,7 @@
 {
 	OUString sName;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
@@ -345,7 +345,7 @@
 	sal_uInt32 nCount = 0;
 
 	// Get list of parents for current family (nFamily)
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
diff -ur ooo_SRC680_m142_src.orig/xmloff/source/style/XMLFontAutoStylePool.cxx ooo_SRC680_m142_src/xmloff/source/style/XMLFontAutoStylePool.cxx
--- ooo_SRC680_m142_src.orig/xmloff/source/style/XMLFontAutoStylePool.cxx	2005-10-02 16:56:12.000000000 +0200
+++ ooo_SRC680_m142_src/xmloff/source/style/XMLFontAutoStylePool.cxx	2005-11-23 21:24:24.000000000 +0100
@@ -195,7 +195,7 @@
 	OUString sName;
 	XMLFontAutoStylePoolEntry_Impl aTmp( rFamilyName, rStyleName, nFamily,
 									 	 nPitch, eEnc );
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( pPool->Seek_Entry( &aTmp, &nPos ) )
 	{
 		sName = pPool->GetObject( nPos )->GetName();
@@ -249,7 +249,7 @@
 	OUString sName;
 	XMLFontAutoStylePoolEntry_Impl aTmp( rFamilyName, rStyleName, nFamily,
 									 	 nPitch, eEnc );
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( pPool->Seek_Entry( &aTmp, &nPos ) )
 	{
 		sName = pPool->GetObject( nPos )->GetName();
@@ -265,6 +265,7 @@
 							  XML_FONT_FACE_DECLS,
 							  sal_True, sal_True );
 	Any aAny;
+
 	OUString sTmp;
 	XMLFontFamilyNamePropHdl aFamilyNameHdl;
 	XMLFontFamilyPropHdl aFamilyHdl;
diff -ur ooo_SRC680_m142_src.orig/xmloff/source/style/xmlstyle.cxx ooo_SRC680_m142_src/xmloff/source/style/xmlstyle.cxx
--- ooo_SRC680_m142_src.orig/xmloff/source/style/xmlstyle.cxx	2005-10-02 16:56:13.000000000 +0200
+++ ooo_SRC680_m142_src/xmloff/source/style/xmlstyle.cxx	2005-11-23 21:24:24.000000000 +0100
@@ -449,7 +449,7 @@
 	if( pIndices )
 	{
 		SvXMLStyleIndex_Impl aIndex( nFamily, rName );
-		sal_uInt32 nPos = 0;
+		ULONG nPos = 0;
 		if( pIndices->Seek_Entry( &aIndex, &nPos ) )
 			pStyle = pIndices->GetObject( nPos )->GetStyle();
 	}
diff -ur ooo_SRC680_m142_src.orig/xmloff/source/text/XMLTextListAutoStylePool.cxx ooo_SRC680_m142_src/xmloff/source/text/XMLTextListAutoStylePool.cxx
--- ooo_SRC680_m142_src.orig/xmloff/source/text/XMLTextListAutoStylePool.cxx	2005-10-02 16:56:13.000000000 +0200
+++ ooo_SRC680_m142_src/xmloff/source/text/XMLTextListAutoStylePool.cxx	2005-11-23 21:24:24.000000000 +0100
@@ -225,7 +225,7 @@
 
 sal_uInt32 XMLTextListAutoStylePool::Find( XMLTextListAutoStylePoolEntry_Impl* pEntry ) const
 {
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( !pEntry->IsNamed() && mxNumRuleCompare.is() )
 	{
 		const sal_uInt32 nCount = pPool->Count();